<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Yulia.uzunova</id>
		<title>Hostway API Documentation - User contributions [en]</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Yulia.uzunova"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Special:Contributions/Yulia.uzunova"/>
		<updated>2026-05-04T16:07:22Z</updated>
		<subtitle>User contributions</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId:GET</id>
		<title>Orders-orderId:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId:GET"/>
				<updated>2013-08-21T16:11:09Z</updated>
		
		<summary type="html">&lt;p&gt;Yulia.uzunova: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /orders/''{orderId}'' =&lt;br /&gt;
Returns the content of an order specified by the URI.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /orders/''{orderId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
; Authorization&lt;br /&gt;
: Optional. Specify the '''Authorization''' header when requesting details for an order that was already submitted. Follow the instructions for API [[Authentication]].&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success.&lt;br /&gt;
&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: The '''OwnerId''' cookie or the '''Authorization''' header are not specified or do not permit access to the specified order.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The specified order does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
The response body may contain additional information beyond what is specified in the documentation. Such information should be ignored or treated as volatile, since it may change in the future.&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;order&amp;quot;: {&lt;br /&gt;
    &amp;quot;Status&amp;quot;: &amp;quot;{orderStatus}&amp;quot;,&lt;br /&gt;
    &amp;quot;Account&amp;quot;: &amp;quot;{accountUrl}&amp;quot;&lt;br /&gt;
  },&lt;br /&gt;
  &amp;quot;links&amp;quot;: {&lt;br /&gt;
    &amp;quot;self&amp;quot;: {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; orderStatus - ''string''&lt;br /&gt;
: The status of the order.&lt;br /&gt;
&lt;br /&gt;
; accountUrl - ''string (optional)''&lt;br /&gt;
: [[Hypermedia]] for the account of this order. Link to the account.&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Link to the order.&lt;br /&gt;
&lt;br /&gt;
== Example ==&lt;br /&gt;
&lt;br /&gt;
=== Request ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /orders/0000013ca61880fbfc068b33000a02c9d8ef861c&lt;br /&gt;
Cookie: OwnerId=948ce0d4-7cf0-43b6-88a5-2b3f1331b689; Path=/&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Response ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
200 OK&lt;br /&gt;
Content-Type: application/json; charset=UTF-8&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;order&amp;quot;: {&lt;br /&gt;
    &amp;quot;Status&amp;quot;: &amp;quot;new&amp;quot;,&lt;br /&gt;
    &amp;quot;Account&amp;quot;: &amp;quot;http://accounts/acc20130821&amp;quot;&lt;br /&gt;
  },&lt;br /&gt;
  &amp;quot;links&amp;quot;: {&lt;br /&gt;
    &amp;quot;self&amp;quot;: {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/0000013ca61880fbfc068b33000a02c9d8ef861c/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== OPTIONS /orders/''{order_id}'' ==&lt;br /&gt;
In addition to the GET method the API supports the OPTIONS method for direct browser access to the API. The format of the request is:&lt;br /&gt;
&lt;br /&gt;
&amp;lt;code&amp;gt;OPTIONS /orders/''{order_id}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; order_id - ''string''&lt;br /&gt;
: The unique order Id. The full URI of each order is returned by the [[Orders:POST|POST /orders]] call.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Cookie&lt;br /&gt;
: A cookie named '''OwnerId''' to identify the client (for most browser clients, the browser will do this automatically, depending on the browser configuration). The value of the cookie would come from the response to the create order request in the '''Set-Cookie''' response header.&lt;br /&gt;
&lt;br /&gt;
=== Response Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The specified order does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
;Access-Control-Allow-Methods&lt;br /&gt;
: A comma-separated list of request methods supported on this URI.&lt;br /&gt;
&lt;br /&gt;
;Access-Control-Allow-Origin&lt;br /&gt;
: All origins are allowed. This header has value '''*'''.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Yulia.uzunova</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET</id>
		<title>ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET"/>
				<updated>2013-07-30T15:27:52Z</updated>
		
		<summary type="html">&lt;p&gt;Yulia.uzunova: /* URI Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}''/prices =&lt;br /&gt;
Retrieves prices for a particular product specification offering.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}''/prices&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
;filterType&lt;br /&gt;
: Indicates that the result should be filtered by price type.&lt;br /&gt;
: The legal values for this parameter are 'fee', 'discount' and 'usage_fee'&lt;br /&gt;
: '''''fee''''' - all product specification and its service specifications prices (e.g. setup fee, recurring fee, etc.)&lt;br /&gt;
: '''''discount''''' - all product specification and its service specifications discounts&lt;br /&gt;
: '''''usage_fee''''' - all product specification and its service specifications usage prices&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;filterRecurrences&lt;br /&gt;
: Indicates that the result should be filtered by the number of recurrences&lt;br /&gt;
: This parameter is optional. &lt;br /&gt;
: The values for this parameter can be specified using a wildcard(*).&lt;br /&gt;
&lt;br /&gt;
;filterRelatedServiceSpecification&lt;br /&gt;
: Indicates that the result should be filtered by linked service specification URI.&lt;br /&gt;
: A value of '' indicates that only results with relatedServiceSpecification='' should be returned.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;filterName&lt;br /&gt;
: Indicates that the result should be filtered by name&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;sortField&lt;br /&gt;
: Indicates which field should be used for sorting.&lt;br /&gt;
: Legal values are 'name', 'type', 'recurrences' and 'relatedServiceSpecification'.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;sortOrder&lt;br /&gt;
: Indicates the order in which the result should be sorted.&lt;br /&gt;
: Legal values are 'asc' and 'desc'&lt;br /&gt;
: This parameter is optional. If 'sortField' was specified and 'sortOrder' was omitted, then the result will be sorted in ascending order.&lt;br /&gt;
&lt;br /&gt;
;pageSize&lt;br /&gt;
: Indicates the number of prices to be included on each page of the result (if pagination is desired)&lt;br /&gt;
: This parameter is optional. If 'page' is specified and 'pageSize' is omitted, then the result will show 100 prices per page.&lt;br /&gt;
&lt;br /&gt;
;page&lt;br /&gt;
: Indicates the 1-based index of the page to view.&lt;br /&gt;
: The value must be an integer between 1 and the maximum number of pages (returned in the 'last' element of the 'links' attribute of the result)&lt;br /&gt;
: This parameter is optional, but if 'pageSize' was specified, then 'page' is also required.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns a list of prices for a particular product specification offering Id.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;400 Bad Request&lt;br /&gt;
: Returned if incorrect parameters are specified for filtering, sorting or pagination. The response body will contain details about the nature of the error.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: Returned if the product specification Id or the offering Id could not be found.&lt;br /&gt;
&lt;br /&gt;
;502 Bad Gateway&lt;br /&gt;
: Returned there is any internal API error.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;fee&amp;quot;&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;recurring&amp;quot;, &lt;br /&gt;
      &amp;quot;amount&amp;quot;: 1125.0, &lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
      &amp;quot;recurrences&amp;quot;: -1, &lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;, &lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
      &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;,&lt;br /&gt;
      &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;rates&amp;quot; : [ &lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 1,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : 3,&lt;br /&gt;
	  &amp;quot;amountPerUnit&amp;quot; : 0.0&lt;br /&gt;
	},&lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 3,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : -1,&lt;br /&gt;
	  &amp;quot;amountPerUnit&amp;quot; : 1.0&lt;br /&gt;
	}&lt;br /&gt;
       ]&lt;br /&gt;
     }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=3&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;first&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=1&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;previous&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=2&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=4&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=12&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: List of product offering price details. Each element of the list has the following attributes:&lt;br /&gt;
&lt;br /&gt;
:; type - ''string''&lt;br /&gt;
:: This can be either 'fee', 'discount' or 'usage_fee'. A fee represents a fee that will be charged. A discount represents a downward adjustment of the amount of a fee.&lt;br /&gt;
An usage fee represents a fee that will be charged based on usage rate.&lt;br /&gt;
&lt;br /&gt;
:; name - ''string''&lt;br /&gt;
:: A name for the price. This is NOT guaranteed to be unique.&lt;br /&gt;
&lt;br /&gt;
:; billingPeriod - ''integer''&lt;br /&gt;
:: The billing frequency in months.&lt;br /&gt;
&lt;br /&gt;
:; recurrences - ''integer'' &lt;br /&gt;
:: The number of time this price will recur. A value of -1 means that the price will recur throughout the entire lifetime of the provisioned product.&lt;br /&gt;
:: This parameter is available for '''''fee''''' and '''''discount''''' types only&lt;br /&gt;
&lt;br /&gt;
:; relatedServiceSpecification - ''string''&lt;br /&gt;
:: The URI of the service specification (associated with the product) to which this price is linked. If this is an empty string, then the price is linked to the product itself.&lt;br /&gt;
&lt;br /&gt;
:; unit - ''string''&lt;br /&gt;
:: unit based on which a service is charged for.&lt;br /&gt;
:: This parameter is available for '''''usage_fee''''' type only&lt;br /&gt;
&lt;br /&gt;
:; rates - ''dictionary''&lt;br /&gt;
:: tiers of usage on which a service is charged for. Each tier has:&lt;br /&gt;
::; start - ''integer''&lt;br /&gt;
::: number of unit for which a service begins to be charged with the '''current''' tier's price. The start of a tier is '''inclusive for the current tier'''.&lt;br /&gt;
&lt;br /&gt;
::; end - ''integer''&lt;br /&gt;
::: number of unit for which a service begins to be charged with the '''next''' tier's price. The end of a tier is '''exclusive for the current tier'''. If the '''end''' parameter is '''-1''', then we have no limit for the tier.&lt;br /&gt;
&lt;br /&gt;
::; amountPerUnit - ''float''&lt;br /&gt;
::: Price per an usage unit to be charged.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Get usage tiers for a given service specification of a product ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET http://127.0.0.1:6543/productSpecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&lt;br /&gt;
'''HTTP/1.0 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;end&amp;quot; : 3,&lt;br /&gt;
      &amp;quot;amountPerUnit&amp;quot; : 0.0&lt;br /&gt;
    }, {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 3,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1,&lt;br /&gt;
      &amp;quot;amountPerUnit&amp;quot; : 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_activesync&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1,&lt;br /&gt;
      &amp;quot;amountPerUnit&amp;quot; : 2.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_activesync&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_premium&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1,&lt;br /&gt;
      &amp;quot;amountPerUnit&amp;quot; : 3.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_premium&amp;quot;&lt;br /&gt;
  } ],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://127.0.0.1:6543/productspecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Get usage tiers for a given service specification of a product filtered by an usage rate's name ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
http://127.0.0.1:6543/productSpecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;amp;filterName=mfg_mailbox_standard&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&lt;br /&gt;
'''HTTP/1.0 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;end&amp;quot; : 3,&lt;br /&gt;
      &amp;quot;amountPerUnit&amp;quot; : 0.0&lt;br /&gt;
    }, {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 3,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1,&lt;br /&gt;
      &amp;quot;amountPerUnit&amp;quot; : 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;&lt;br /&gt;
  } ],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://127.0.0.1:6543/productspecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;amp;filterName=mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Products|Product Catalog API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Product Catalog API]]&lt;/div&gt;</summary>
		<author><name>Yulia.uzunova</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/GET_Exchange_Global_Contacts_list</id>
		<title>GET Exchange Global Contacts list</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/GET_Exchange_Global_Contacts_list"/>
				<updated>2013-07-30T14:50:04Z</updated>
		
		<summary type="html">&lt;p&gt;Yulia.uzunova: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;Retrieve an Exchange Global contacts list by domain name&lt;br /&gt;
&lt;br /&gt;
'''GET''' &amp;lt;code&amp;gt;/accounts/''account-number''/exchange/''domain-name''/globalContacts&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''GET''' &amp;lt;code&amp;gt;/accounts/''account-number''/exchange/''domain-name''/globalContacts?page=''page-num''&amp;amp;pageSize=''page-size''&amp;amp;sortField=''sort-field''&amp;amp;sortOrder=''sort-order''&amp;amp;''filter-field''=''filter-value''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Parameters ==&lt;br /&gt;
; account-number - ''string''&lt;br /&gt;
: The account-number that the Exchange resource belongs to&lt;br /&gt;
&lt;br /&gt;
; domain-name - ''string''&lt;br /&gt;
: The domain-name that is associated with the Exchange resource&lt;br /&gt;
&lt;br /&gt;
; page-num- ''int''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Request a specific page of data. If not set defaults to 1&lt;br /&gt;
&lt;br /&gt;
; page-size - ''int''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Size used to paginate the request. If not set defaults to 100&lt;br /&gt;
&lt;br /&gt;
; sort-field - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specifies a field upon which to sort the data. If not set no sorting is preformed. Allowed values are specified by an OPTIONS request&lt;br /&gt;
&lt;br /&gt;
; sort-order - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specifies the order in which the data is sorted. If not set no sorting is preformed if ''sort-field'' is not set or defaults to asc otherwise. Allowed values are specified by an OPTIONS request&lt;br /&gt;
&lt;br /&gt;
; filter-field - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specifies a field upon which the data is filtered. If multiple ''filter-field'' are set all of them have to be true to pass the filter. If none are set no filtering is performed. Allowed values are specified by an OPTIONS request. Example: if we want to filter by field 'status' then the paramenter should look like 'filterStatus=value'. That way one can filter by more then one field. The filtering values can be also specified using wildcards(*).&lt;br /&gt;
&lt;br /&gt;
; filter-value - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: A value with which the ''filter-field'' is filtered. Values are either an exact match or a partial match using a wildcards(*). Additional restrictions may be specified by an OPTIONS request&lt;br /&gt;
&lt;br /&gt;
== Response Body ==&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;list&amp;quot; :&lt;br /&gt;
      [&lt;br /&gt;
         {&lt;br /&gt;
             &amp;quot;details&amp;quot; : &amp;quot;http://{server_name}/accounts/{account_number}/exchange/{domain_name}/globalContacts/{global_contact_id}/&amp;quot;,&lt;br /&gt;
             &amp;quot;target&amp;quot; : &amp;quot;test@test.com&amp;quot;,&lt;br /&gt;
             &amp;quot;name&amp;quot; : &amp;quot;display name of the contact&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
             &amp;quot;details&amp;quot; : &amp;quot;http://{server_name}/accounts/{account-number}/exchange/{domain-name}/globalContacts/{global_contact_id}/&amp;quot;,&lt;br /&gt;
             &amp;quot;target&amp;quot; : &amp;quot;test1@test1.com&amp;quot;,&lt;br /&gt;
             &amp;quot;name&amp;quot; : &amp;quot;display name of the contact&amp;quot;&lt;br /&gt;
         }&lt;br /&gt;
      ]&lt;br /&gt;
   &amp;quot;links&amp;quot;:&lt;br /&gt;
      [&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account-number}/exchange/{domain-name}/globalContacts?page=2&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account-number}/exchange/{domain-name}/globalContacts?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;first&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account-number}/exchange/{domain-name}/globalContacts?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;previous&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account-number}/exchange/{domain-name}/globalContacts?page=1&amp;amp;pageSize=3&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;next&amp;quot;&lt;br /&gt;
         },&lt;br /&gt;
         {&lt;br /&gt;
            &amp;quot;href&amp;quot; : &amp;quot;http://{server_name}/accounts/{account-number}/exchange/{domain-name}/globalContacts?page=1&amp;amp;pageSize=3&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot; : &amp;quot;last&amp;quot;&lt;br /&gt;
         }&lt;br /&gt;
      ]&lt;br /&gt;
}&lt;br /&gt;
  &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: List of the global contacts for the selected domain. Each element of the list has the following attributes:&lt;br /&gt;
&lt;br /&gt;
:; name - ''string''&lt;br /&gt;
:: The name of the contact&lt;br /&gt;
&lt;br /&gt;
:; target - ''string''&lt;br /&gt;
:: Email of the contact&lt;br /&gt;
&lt;br /&gt;
:; details - ''string''&lt;br /&gt;
:: Hyperlink to the contact&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Link to self will preserve filtering, sorting and pagination set by the request. Links to the first, last, previous and next pages will also be included if applicable&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes ===&lt;br /&gt;
;200&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;400&lt;br /&gt;
: Bad request&lt;br /&gt;
&lt;br /&gt;
;404&lt;br /&gt;
: Non-existent resource&lt;br /&gt;
&lt;br /&gt;
;405&lt;br /&gt;
: Unsupported method&lt;br /&gt;
&lt;br /&gt;
;502&lt;br /&gt;
: Internal server error&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
'''GET''' &amp;lt;code&amp;gt;''{server_name}''/accounts/''account300021''/exchange/''ng-test-hwus-120120b.com''/globalContacts&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''- Request Headers:''&lt;br /&gt;
    Content-Type:application/json&lt;br /&gt;
    Charset=UTF-8&lt;br /&gt;
    Authorization:Base64-encoded username &amp;amp; password string&lt;br /&gt;
&lt;br /&gt;
''- Response:''&lt;br /&gt;
''OK (200)'':&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
 [&lt;br /&gt;
   {&lt;br /&gt;
     &amp;quot;details&amp;quot;: &amp;quot;http://{server_name}/accounts/account300021/exchange/ng-test-hwus-120120b.com/globalContacts/00000136a0dc303df040b174000ae6fa2cb8a7d8/&amp;quot;,&lt;br /&gt;
     &amp;quot;target&amp;quot;: &amp;quot;name@domain.com&amp;quot;, &lt;br /&gt;
     &amp;quot;name&amp;quot;: &amp;quot;My old descriptive name&amp;quot;}, &lt;br /&gt;
   {&lt;br /&gt;
     &amp;quot;details&amp;quot;: &amp;quot;http://{server_name}/accounts/account300021/exchange/ng-test-hwus-120120b.com/globalContacts/0000013659099524e2c12a99000a91275a05bc87/&amp;quot;,     &lt;br /&gt;
     &amp;quot;target&amp;quot;: &amp;quot;target3@domain.com&amp;quot;, &lt;br /&gt;
     &amp;quot;name&amp;quot;: &amp;quot;new name&amp;quot;&lt;br /&gt;
   }&lt;br /&gt;
 ]&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Exchange API]]&lt;/div&gt;</summary>
		<author><name>Yulia.uzunova</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/GET_Exchange_Email_Aliases_list</id>
		<title>GET Exchange Email Aliases list</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/GET_Exchange_Email_Aliases_list"/>
				<updated>2013-07-30T14:46:42Z</updated>
		
		<summary type="html">&lt;p&gt;Yulia.uzunova: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;Retrieve an Exchange Email Aliases list by domain name&lt;br /&gt;
&lt;br /&gt;
'''GET''' &amp;lt;code&amp;gt;/accounts/''account-number''/exchange/''domain-name''/emailaliases&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''GET''' &amp;lt;code&amp;gt;/accounts/''account-number''/exchange/''domain-name''/emailaliases?page=''page-num''&amp;amp;pageSize=''page-size''&amp;amp;sortField=''sort-field''&amp;amp;sortOrder=''sort-order''&amp;amp;''filter-field''=''filter-value''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Parameters ==&lt;br /&gt;
; account-number - ''string''&lt;br /&gt;
: The account-number that the Exchange resource belongs to&lt;br /&gt;
&lt;br /&gt;
; domain-name - ''string''&lt;br /&gt;
: The domain-name that is associated with the Exchange resource&lt;br /&gt;
&lt;br /&gt;
; page-num- ''int''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Request a specific page of data. If not set defaults to 1&lt;br /&gt;
&lt;br /&gt;
; page-size - ''int''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Size used to paginate the request. If not set defaults to 100&lt;br /&gt;
&lt;br /&gt;
; sort-field - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specifies a field upon which to sort the data. If not set no sorting is preformed. Allowed values are specified by an OPTIONS request&lt;br /&gt;
&lt;br /&gt;
; sort-order - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specifies the order in which the data is sorted. If not set no sorting is preformed if ''sort-field'' is not set or defaults to asc otherwise. Allowed values are specified by an OPTIONS request&lt;br /&gt;
&lt;br /&gt;
; filter-field - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specifies a field upon which the data is filtered. If multiple ''filter-field'' are set all of them have to be true to pass the filter. If none are set no filtering is performed. Allowed values are specified by an OPTIONS request. Example: if we want to filter by field 'status' then the paramenter should look like 'filterStatus=value'. That way one can filter by more then one field.The values can be also specified using wildcards(*).&lt;br /&gt;
&lt;br /&gt;
; filter-value - ''string''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: A value with which the ''filter-field'' is filtered. Values are either an exact match or partial match using a wildcard(*). Additional restrictions may be specified by an OPTIONS request&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns a dictionary with shorten information about email aliases of the Exchange product associated with the given domain name&lt;br /&gt;
 &lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;emailAlias&amp;quot; : &amp;quot;email_alias_1@example.com&amp;quot;,&lt;br /&gt;
    &amp;quot;details&amp;quot; : &amp;quot;http://{server-name}/accounts/{account-number}/exchange/{domain-name}/emailaliases/email_alias_1&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;emailAlias&amp;quot; : &amp;quot;email_alias_2@example.com&amp;quot;,&lt;br /&gt;
    &amp;quot;details&amp;quot; : &amp;quot;http://{server-name}/accounts/{account-number}/exchange/{domain-name}/emailaliases/email_alias_2&amp;quot;&lt;br /&gt;
  }],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://{server-name}/accounts/{account-number}/exchange/{domain-name}/emailaliases/&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
}&lt;br /&gt;
  &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: List of the email aliases for the selected domain. Each element of the list has the following attributes:&lt;br /&gt;
&lt;br /&gt;
:; emailAlias - ''string''&lt;br /&gt;
:: The email alias address&lt;br /&gt;
&lt;br /&gt;
:; details - ''string''&lt;br /&gt;
:: Hyperlink to the email alias' details&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Link to self will preserve filtering, sorting and pagination set by the request. Links to the first, last, previous and next pages will also be included if applicable&lt;br /&gt;
&lt;br /&gt;
''The details hyperlink and hypermedia's parameters are as following:''&lt;br /&gt;
; {server-name} - ''string''&lt;br /&gt;
: The name of the server from which the resources are requested&lt;br /&gt;
&lt;br /&gt;
; {account-number} - ''string''&lt;br /&gt;
: The account-number that the Exchange resource belongs to&lt;br /&gt;
&lt;br /&gt;
; {domain-name} - ''string''&lt;br /&gt;
: The domain-name that is associated with the Exchange resource&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes ===&lt;br /&gt;
;200&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;400&lt;br /&gt;
: Bad request&lt;br /&gt;
: This is usually a sign that the client attempted to use filtering/sorting criteria that are invalid for this resource&lt;br /&gt;
&lt;br /&gt;
;404&lt;br /&gt;
: Non-existent resource&lt;br /&gt;
: Returned if no Exchange service could be found for the given domain name.&lt;br /&gt;
&lt;br /&gt;
;405&lt;br /&gt;
: Unsupported method&lt;br /&gt;
&lt;br /&gt;
;500&lt;br /&gt;
: Internal server error&lt;br /&gt;
&lt;br /&gt;
;502&lt;br /&gt;
: Bad gateway&lt;br /&gt;
: There was a failure in an upstream service that caused a failure in the API.&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Exchange API]]&lt;/div&gt;</summary>
		<author><name>Yulia.uzunova</name></author>	</entry>

	</feed>